function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
export var changeFormValues = function changeFormValues(_ref) {
  var clientId = _ref.clientId,
    values = _ref.values,
    forms = _ref.forms;
  var _values = {};
  var _iterator = _createForOfIteratorHelper(forms || []),
    _step;
  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var form = _step.value;
      var value = values[form.form_id] || [];
      if (form.data_range === 'customer') {
        _values[form.form_id] = [];
      } else {
        _values[form.form_id] = value;
      }
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }
  return _values;
};
export var sortFormValues = function sortFormValues(list, clientId) {
  return (list || []).sort(function (a, b) {
    var _a$customer, _b$customer, _b$customer2, _a$customer2;
    if ((a === null || a === void 0 || (_a$customer = a.customer) === null || _a$customer === void 0 ? void 0 : _a$customer.id) === clientId && (b === null || b === void 0 || (_b$customer = b.customer) === null || _b$customer === void 0 ? void 0 : _b$customer.id) !== clientId) {
      return -1;
    } else if ((b === null || b === void 0 || (_b$customer2 = b.customer) === null || _b$customer2 === void 0 ? void 0 : _b$customer2.id) === clientId && (a === null || a === void 0 || (_a$customer2 = a.customer) === null || _a$customer2 === void 0 ? void 0 : _a$customer2.id) !== clientId) {
      return 1;
    } else {
      var _a$customer3, _b$customer3;
      return (a === null || a === void 0 || (_a$customer3 = a.customer) === null || _a$customer3 === void 0 ? void 0 : _a$customer3.id) - (b === null || b === void 0 || (_b$customer3 = b.customer) === null || _b$customer3 === void 0 ? void 0 : _b$customer3.id);
    }
  });
};
export var formatAddFormValues = function formatAddFormValues(_ref2) {
  var clientId = _ref2.clientId,
    value = _ref2.value,
    data_range = _ref2.data_range;
  var _value = _toConsumableArray(value);

  // 客户关联的表单 需要加上客户id
  if (data_range === 'customer') {
    _value = _value.map(function (d) {
      return _objectSpread(_objectSpread({}, d), {}, {
        client_id: clientId
      });
    });
  }
  _value = sortFormValues(_value, clientId);
  return _value;
};